osl::PtypeTraits< BISHOP > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =true
static const bool | canPromote =true
static const bool | betterToPromote =true
static const Ptype | moveType =BISHOP
static const Ptype | basicType =BISHOP
static const int | indexMin =36
static const int | indexLimit =38
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const int | mayPromoteToY =9
static const int | moveMask

## Detailed Description

Definition at line 190 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< BISHOP >::csaName | ( |  | ) |

inline static

Definition at line 198 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< BISHOP >::name | ( |  | ) |

inline static

Definition at line 197 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< BISHOP >::basicType =BISHOP

static

Definition at line 196 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< BISHOP >::betterToPromote =true

static

Definition at line 194 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< BISHOP >::canPromote =true

static

Definition at line 193 of file ptypeTraits.h.

## dropBlackFromY

const int osl::PtypeTraits< BISHOP >::dropBlackFromY =1

static

Definition at line 201 of file ptypeTraits.h.

## dropBlackToY

const int osl::PtypeTraits< BISHOP >::dropBlackToY =9

static

Definition at line 202 of file ptypeTraits.h.

## indexLimit

const int osl::PtypeTraits< BISHOP >::indexLimit =38

static

Definition at line 200 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< BISHOP >::indexMin =36

static

Definition at line 199 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< BISHOP >::isBasic =true

static

Definition at line 192 of file ptypeTraits.h.

## mayPromoteToY

const int osl::PtypeTraits< BISHOP >::mayPromoteToY =9

static

Definition at line 203 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< BISHOP >::moveMask

static

Initial value:
=
DirectionTraits<LONG_UL>::mask|DirectionTraits<LONG_UR>::mask
|DirectionTraits<LONG_DL>::mask|DirectionTraits<LONG_DR>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 204 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< BISHOP >::moveType =BISHOP

static

Definition at line 195 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h